#
# spec file for package culmus-fonts
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define type1dir %{_fontsdir}/Type1
%define upstream_name  culmus

Name:           culmus-fonts
Version:        0.133
Release:        bp160.1.6
Summary:        A set of Hebrew fonts
License:        GPL-2.0-or-later
Group:          System/X11/Fonts
URL:            https://culmus.sourceforge.io/
Source0:        https://sourceforge.net/projects/culmus/files/culmus/%{version}/culmus-%{version}.tar.gz
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       locale(he)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A set of 15 Hebrew font families. Those families provide a basic set
of a serif (Frank Ruehl), sans serif (Nachlieli), and monospaced
(Miriam Mono) fonts. ASCII glyphs are partially borrowed from the URW
and Bitstream fonts. Also included Miriam, Drugulin, Aharoni, David,
Yehuda, and Ellinia.

%prep
%setup -q -n %{upstream_name}-%{version}

%build

%install
mkdir -p %{buildroot}%_ttfontsdir
install -m 0644 *.ttf *.otf \
        %{buildroot}%_ttfontsdir
mkdir -p %{buildroot}%type1dir
install -c -m 644 *.afm *.pf? %{buildroot}%type1dir
install -c -m 644 fonts.scale-type1 \
        %{buildroot}%type1dir/fonts.scale.culmus

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc CHANGES fonts.scale-ttf culmus.conf
%license GNU-GPL LICENSE LICENSE-BITSTREAM
%type1dir
%_ttfontsdir

%changelog
* Sat May  7 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.133
  * Improved Hamsa shape in Caladings
  * New Synagogue glyph
  * Flag of Israel, moon phases and minor fixes.
  * Fixed varika in David CLM
* Wed May  2 2018 jengelh@inai.de
- Update descriptions.
* Tue May  1 2018 cornelis@solcon.nl
- Updated to 0.132:
  * Nachlieli CLM completely redesigned, and now it also supports
    diacritics.
  * David CLM now also supports meteg and rafe, in addition to other
    diacritics.
  * Nachlieli and David are provided as otf fonts.
- Remove the Provides/Obsoletes: culmus, it was a long time ago that
  the package name was just culmus.
* Tue Mar 26 2013 pgajdos@suse.com
- updated to 0.130:
  * Added new TrueType font "Shofar" by Yoram Gnat. Complete family with
  diacritics and cantillation marks. The font is inspired by Koren type, with
  redesigned letter forms and the height-to-width ratio.
* Tue Aug  7 2012 pgajdos@suse.com
- updated to 0.121:
  * Frank Ruehl CLM now supports diacritics.
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to culmus-fonts
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu May  5 2011 pgajdos@suse.cz
- package missed TTF fonts -- thanks to andrei.levi at gmail.com
* Mon Nov 22 2010 pgajdos@suse.cz
- updated to 0.120:
  1. Keter YG - complete family with cantillation marks support.
    Based on Aleppo codex.
  2. Left quotes added to David, Miriam, Miriam Mono.
  3. Geresh and gershayim lowered in David, Miriam, Miriam Mono.
  4. Dreydl symbol added to Caladings.
* Fri Oct 15 2010 pgajdos@suse.cz
- updated to 0.110:
  1. Hadasim CLM - complete family with diacritics supported. Inspired by
    Henri Friedlander's Hadassah font.
  2. Simple CLM - complete sans-serif family with diacritics supported.
  3. Stam Ashkenaz CLM and Stam Sefarad CLM - each in single weight, modeled
    after the respective Torah scroll writing traditions.
* Mon Aug 30 2010 pgajdos@suse.cz
- updated to 0.105:
  1. Introduced diacritics placement into Miriam Mono font, meteg supported.
  2. Supported "Hataf" diacritics with all letters in Miriam, David.
* Mon Mar 15 2010 pgajdos@suse.cz
- updated to 0.104:
  * Fixed TZVEY YUDN MIT A PASEKH in David.
  * Miriam font enhanced to support diacritics, more symbols.
* Tue Dec  8 2009 pgajdos@suse.cz
- updated to 0.103
* Wed Aug  9 2006 dmueller@suse.de
- install into /usr/share/fonts
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(he)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 mfabian@suse.de
- new package: culmus, version 0.101.
